Update project details

Update the details of a specific project.

Authentication

AuthorizationToken
The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example: <br><pre><code class="language-bash">curl https://label-studio-host/api/projects -H "Authorization: Token [your-token]"</code></pre>

Path parameters

idintegerRequired

Query parameters

members_limitintegerOptionalDefaults to 10
Maximum number of members to return

Request

This endpoint expects an object.
agreement_methodologyenumOptional

Methodology (Consensus / Pairwise Averaging)

  • consensus - Consensus
  • pairwise - Pairwise Averaging
Allowed values:
agreement_thresholdstring or nullOptionalformat: "decimal"
Agreement threshold
annotation_limit_countinteger or nullOptional>=1
Limit by number of tasks
annotation_limit_percentstring or nullOptionalformat: "decimal"
Limit by percentage of tasks
annotator_evaluation_continuous_tasksintegerOptional>=0Defaults to 0

Continuous Evaluation: Required tasks

annotator_evaluation_enabledbooleanOptional
Evaluate all annotators against ground truth
annotator_evaluation_minimum_scorestring or nullOptionalformat: "decimal"Defaults to 95.00
Score required to pass evaluation
annotator_evaluation_minimum_tasksinteger or nullOptional>=0Defaults to 10
Number of tasks for evaluation
annotator_evaluation_onboarding_tasksintegerOptional>=0Defaults to 0

Onboarding Evaluation: Required tasks

assignment_settingsobjectOptional
colorstring or nullOptional<=16 characters
Color
comment_classification_configstringOptional
control_weightsmap from strings to objects or nullOptional

Dict of weights for each control tag in metric calculation. Keys are control tag names from the labeling config. At least one tag must have a non-zero overall weight.

created_byobjectOptional
Project owner
custom_interface_codestring or nullOptional
custom_interface_compiledstring or nullOptional
custom_interface_paramsany or nullOptional
custom_scriptstringOptional
Plugins
custom_task_lock_ttlinteger or nullOptional1-86400

Task reservation time. TTL in seconds (UI displays and edits this value in minutes).

descriptionstring or nullOptional
Description
enable_empty_annotationbooleanOptional
Allow empty annotations
evaluate_predictions_automaticallybooleanOptional
Retrieve and display predictions when loading a task
expert_instructionstring or nullOptional
Instructions
input_schemaany or nullOptional
is_draftbooleanOptional
Whether or not the project is in the middle of being created
is_publishedbooleanOptional
Whether or not the project is published to annotators
label_configstring or nullOptional
Labeling Configuration
max_additional_annotators_assignableinteger or nullOptional
Maximum additional annotators
maximum_annotationsintegerOptional-2147483648-2147483647
Annotations per task
min_annotations_to_start_trainingintegerOptional-2147483648-2147483647
Minimum number of completed tasks after which model training is started
model_versionstring or nullOptional
Machine learning model version
organizationinteger or nullOptional
output_schemaany or nullOptional
overlap_cohort_percentageintegerOptional-2147483648-2147483647
Annotations per task coverage
pause_on_failed_annotator_evaluationboolean or nullOptionalDefaults to false
Pause annotator on failed evaluation
pinned_atdatetime or nullOptional
Pinned date and time
require_comment_on_skipbooleanOptionalDefaults to false
Require comment to skip
reveal_preannotations_interactivelybooleanOptional

Reveal pre-annotations interactively

review_settingsobjectOptional
samplingenum or nullOptional
  • Sequential sampling - Tasks are ordered by Data manager ordering
  • Uniform sampling - Tasks are chosen randomly
  • Uncertainty sampling - Tasks are chosen according to model uncertainty scores (active learning mode)
Allowed values:
show_annotation_historybooleanOptional
Show Data Manager to Annotators
show_collab_predictionsbooleanOptional

Use predictions to pre-label Tasks

show_instructionbooleanOptional
Show instructions before labeling
show_overlap_firstbooleanOptional
Show tasks with overlap first
show_skip_buttonbooleanOptional
Allow skipping tasks
show_unused_data_columns_to_annotatorsboolean or nullOptional

Show only columns used in labeling configuration to Annotators. API uses inverse field semantics here: set false to show only used columns, set true to show all task.data columns.

skip_queueenum or nullOptional
  • REQUEUE_FOR_ME - Requeue for me
  • REQUEUE_FOR_OTHERS - Requeue for others
  • IGNORE_SKIPPED - Ignore skipped
Allowed values:
source_interface_idinteger or nullOptional
source_interface_versioninteger or nullOptional
Stable version ID of the saved interface snapshot used by this project.
strict_task_overlapbooleanOptionalDefaults to true
Enforce strict overlap limit
task_data_loginstring or nullOptional<=256 characters
Login
task_data_passwordstring or nullOptional<=256 characters
Password
titlestring or nullOptional3-50 characters
Project Name
use_custom_interfacebooleanOptionalDefaults to false
workspaceintegerOptional
Workspace
show_ground_truth_firstbooleanOptionalDeprecated

Onboarding mode (true): show ground truth tasks first in the labeling stream

Response

assignment_settingsobject
config_has_control_tagsbooleanRead-only
Flag to detect is project ready for labeling
config_suitable_for_bulk_annotationbooleanRead-only
Flag to detect is project ready for bulk annotation
created_atdatetimeRead-only
finished_task_numberintegerRead-only
Finished tasks
ground_truth_numberintegerRead-only
Honeypot annotation number in project
idintegerRead-only
num_tasks_with_annotationsintegerRead-only
Tasks with annotations count
parsed_label_configmap from strings to anyRead-only

JSON-formatted labeling configuration

promptsstringRead-only
queue_doneintegerRead-only
queue_totalintegerRead-only
review_settingsobject
skipped_annotations_numberintegerRead-only
Skipped by collaborators annotation number in project
start_training_on_annotation_updatebooleanRead-only
Start model training after any annotations are submitted or updated
statestringRead-only
task_numberintegerRead-only
Total task number in project
total_annotations_numberintegerRead-only

Total annotations number in project including skipped_annotations_number and ground_truth_number.

total_predictions_numberintegerRead-only

Total predictions number in project including skipped_annotations_number, ground_truth_number, and useful_annotation_number.

useful_annotation_numberintegerRead-only

Useful annotation number in project not including skipped_annotations_number and ground_truth_number. Total annotations = annotation_number + skipped_annotations_number + ground_truth_number

workspaceinteger
Workspace
workspace_titlestringRead-only
agreement_methodologyenum

Methodology (Consensus / Pairwise Averaging)

  • consensus - Consensus
  • pairwise - Pairwise Averaging
Allowed values:
agreement_thresholdstring or nullformat: "decimal"
Agreement threshold
annotation_limit_countinteger or null>=1
Limit by number of tasks
annotation_limit_percentstring or nullformat: "decimal"
Limit by percentage of tasks
annotator_evaluation_continuous_tasksinteger>=0Defaults to 0

Continuous Evaluation: Required tasks

annotator_evaluation_enabledboolean
Evaluate all annotators against ground truth
annotator_evaluation_minimum_scorestring or nullformat: "decimal"Defaults to 95.00
Score required to pass evaluation
annotator_evaluation_minimum_tasksinteger or null>=0Defaults to 10
Number of tasks for evaluation
annotator_evaluation_onboarding_tasksinteger>=0Defaults to 0

Onboarding Evaluation: Required tasks

colorstring or null<=16 characters
Color
comment_classification_configstring
control_weightsmap from strings to objects or null

Dict of weights for each control tag in metric calculation. Keys are control tag names from the labeling config. At least one tag must have a non-zero overall weight.

created_byobject
Project owner
custom_interface_codestring or null
custom_interface_compiledstring or null
custom_interface_paramsany or null
custom_scriptstring
Plugins
custom_task_lock_ttlinteger or null1-86400

Task reservation time. TTL in seconds (UI displays and edits this value in minutes).

descriptionstring or null
Description
enable_empty_annotationboolean
Allow empty annotations
evaluate_predictions_automaticallyboolean
Retrieve and display predictions when loading a task
expert_instructionstring or null
Instructions
input_schemaany or null
is_draftboolean
Whether or not the project is in the middle of being created
is_publishedboolean
Whether or not the project is published to annotators
label_configstring or null
Labeling Configuration
max_additional_annotators_assignableinteger or null
Maximum additional annotators
maximum_annotationsinteger-2147483648-2147483647
Annotations per task
min_annotations_to_start_traininginteger-2147483648-2147483647
Minimum number of completed tasks after which model training is started
model_versionstring or null
Machine learning model version
organizationinteger or null
output_schemaany or null
overlap_cohort_percentageinteger-2147483648-2147483647
Annotations per task coverage
pause_on_failed_annotator_evaluationboolean or nullDefaults to false
Pause annotator on failed evaluation
pinned_atdatetime or null
Pinned date and time
require_comment_on_skipbooleanDefaults to false
Require comment to skip
reveal_preannotations_interactivelyboolean

Reveal pre-annotations interactively

samplingenum or null
  • Sequential sampling - Tasks are ordered by Data manager ordering
  • Uniform sampling - Tasks are chosen randomly
  • Uncertainty sampling - Tasks are chosen according to model uncertainty scores (active learning mode)
Allowed values:
show_annotation_historyboolean
Show Data Manager to Annotators
show_collab_predictionsboolean

Use predictions to pre-label Tasks

show_instructionboolean
Show instructions before labeling
show_overlap_firstboolean
Show tasks with overlap first
show_skip_buttonboolean
Allow skipping tasks
show_unused_data_columns_to_annotatorsboolean or null

Show only columns used in labeling configuration to Annotators. API uses inverse field semantics here: set false to show only used columns, set true to show all task.data columns.

skip_queueenum or null
  • REQUEUE_FOR_ME - Requeue for me
  • REQUEUE_FOR_OTHERS - Requeue for others
  • IGNORE_SKIPPED - Ignore skipped
Allowed values:
source_interface_idinteger or null
source_interface_versioninteger or null
Stable version ID of the saved interface snapshot used by this project.
strict_task_overlapbooleanDefaults to true
Enforce strict overlap limit
task_data_loginstring or null<=256 characters
Login
task_data_passwordstring or null<=256 characters
Password
titlestring or null3-50 characters
Project Name
use_custom_interfacebooleanDefaults to false
show_ground_truth_firstbooleanDeprecated

Onboarding mode (true): show ground truth tasks first in the labeling stream